Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706848 - sys-auth/ykpers-1.20.0 : fails to build with -fno-common or gcc-10
Summary: sys-auth/ykpers-1.20.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Göktürk Yüksek
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:22 UTC by Toralf Förster
Modified: 2020-04-13 20:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.92 KB, text/plain)
2020-01-28 18:22 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,167.05 KB, text/plain)
2020-01-28 18:22 UTC, Toralf Förster
Details
environment (environment,63.61 KB, text/plain)
2020-01-28 18:22 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.29 KB, application/x-bzip)
2020-01-28 18:22 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.86 KB, application/x-bzip)
2020-01-28 18:22 UTC, Toralf Förster
Details
sys-auth:ykpers-1.20.0:20200128-015401.log (sys-auth:ykpers-1.20.0:20200128-015401.log,38.87 KB, text/plain)
2020-01-28 18:22 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,22.54 KB, application/x-bzip)
2020-01-28 18:22 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:22:27 UTC
libtool: link: x86_64-pc-linux-gnu-ranlib .libs/libykpers_args.a
libtool: link: ( cd ".libs" && rm -f "libykpers_args.la" && ln -s "../libykpers_args.la" "libykpers_args.la" )
/bin/sh ./libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -I/usr/include/json-c   -O2 -pipe -march=native -fno-common -pthread  -Wl,-O1 -Wl,--as-needed -o ykpersonalize ykpersonalize.o ./libykpers-1.la ./libykpers_args.la 
libtool: link: x86_64-pc-linux-gnu-gcc -I/usr/include/json-c -O2 -pipe -march=native -fno-common -pthread -Wl,-O1 -o .libs/ykpersonalize ykpersonalize.o  -Wl,--as-needed ./.libs/libykpers-1.so -L/usr/lib64 ./.libs/libykpers_args.a /var/tmp/portage/sys-auth/ykpers-1.20.0/work/yubikey-personalization-1.20.0/.libs/libykpers-1.so -lusb-1.0 -ljson-c -lyubikey -pthread
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./.libs/libykpers_args.a(ykpers-args.o):(.data.rel.local+0x0): multiple definition of `optstring'; ykpersonalize.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ./.libs/libykpers_args.a(ykpers-args.o):(.data.rel.local+0x8): multiple definition of `usage'; ykpersonalize.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 01:06:18 +0000

emerge -qpvO sys-auth/ykpers
[ebuild  N    ] sys-auth/ykpers-1.20.0  USE="-consolekit -static-libs"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:22:30 UTC
Created attachment 606108 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:22:33 UTC
Created attachment 606110 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:22:36 UTC
Created attachment 606112 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:22:39 UTC
Created attachment 606114 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:22:42 UTC
Created attachment 606116 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:22:45 UTC
Created attachment 606118 [details]
sys-auth:ykpers-1.20.0:20200128-015401.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:22:48 UTC
Created attachment 606120 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-04-13 20:51:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b68b79a1a751dec9be9b1e292a137c0c0acf9cd0

commit b68b79a1a751dec9be9b1e292a137c0c0acf9cd0
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-04-13 20:51:15 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-04-13 20:51:15 +0000

    sys-auth/ykpers: Fix building with -fno-common
    
    Closes: https://bugs.gentoo.org/706848
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../ykpers/files/ykpers-1.20.0-fix-gcc10-fno-common.patch   | 13 +++++++++++++
 sys-auth/ykpers/ykpers-1.20.0.ebuild                        |  3 ++-
 2 files changed, 15 insertions(+), 1 deletion(-)